/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package quicksync;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.stage.StageStyle;
import jdk.nashorn.internal.runtime.regexp.joni.Regex;

/**
 *
 * @author admin
 */
public class QuickSync extends Application {

    @Override
    public void start(Stage stage) throws Exception {
        Parent root = new FXMLMainController();

        Scene scene = new Scene(root);
        scene.getStylesheets().add(getClass().getResource("def.css").toExternalForm());

        stage.initStyle(StageStyle.UNDECORATED);
        stage.setScene(scene);
        stage.show();

        //stage.setResizable(false);
    }

    static boolean autoLaunchServer = false;
    static int serverPort = 5515;
    static boolean autoLoadFile = false;
    static String filePath = "F:\\Documents(E)\\WPI Junior\\IQP\\PQP\\previs5_screenOnly_0001-7210.mp4";
    static int frameOffset = 35;

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        for (int a = 0; a<args.length; a++) {
            String s = args[a];
            if (s.contains("-s")) {
                autoLaunchServer = true;
                if (s.contains(":")){
                    serverPort = Integer.parseInt(s.split(":")[1]);
                }
                System.out.println(serverPort);
            }
            if (s.contains("-f")) {
                autoLoadFile = true;
                if (s.contains(":")){
                    filePath = s.replaceAll("\\\\_", " ").substring(3);
                }
                System.out.println(filePath);
            }
            if (s.contains("-o")) {
                if (s.contains(":")){
                    frameOffset = Integer.parseInt(s.split(":")[1]);
                }
                System.out.println(frameOffset);
            }
        }
        System.out.println(args.length);
        launch(args);
    }

}
